%{?mingw_package_header}

Name:           mingw-atkmm
Version:        2.28.3
Release:    1%{?dist}
Summary:        MinGW Windows C++ interface for the ATK library

License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atkmm/2.28/atkmm-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson

BuildRequires:  mingw32-atk
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-glibmm24 >= 2.24
BuildRequires:  mingw32-libsigc++20

BuildRequires:  mingw64-atk
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-glibmm24 >= 2.24
BuildRequires:  mingw64-libsigc++20

%description
atkmm provides a C++ interface for the ATK library. Highlights
include type-safe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package -n mingw32-atkmm
Summary:        MinGW Windows C++ interface for the ATK library
Conflicts:      mingw32-gtkmm24 < 2.21.1

Provides:       mingw32-atkmm-static = 2.22.6-3

%description -n mingw32-atkmm
atkmm provides a C++ interface for the ATK library. Highlights
include type-safe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package -n mingw64-atkmm
Summary:        MinGW Windows C++ interface for the ATK library

Provides:       mingw64-atkmm-static = 2.22.6-3

%description -n mingw64-atkmm
atkmm provides a C++ interface for the ATK library. Highlights
include type-safe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n atkmm-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-atkmm
%license COPYING
%{mingw32_includedir}/atkmm-1.6
%{mingw32_libdir}/atkmm-1.6
%{mingw32_libdir}/pkgconfig/atkmm-1.6.pc
%{mingw32_libdir}/libatkmm-1.6.dll.a
%{mingw32_bindir}/libatkmm-1.6-1.dll

%files -n mingw64-atkmm
%license COPYING
%{mingw64_includedir}/atkmm-1.6
%{mingw64_libdir}/atkmm-1.6
%{mingw64_libdir}/pkgconfig/atkmm-1.6.pc
%{mingw64_libdir}/libatkmm-1.6.dll.a
%{mingw64_bindir}/libatkmm-1.6-1.dll


%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.3-1
- initial build
